Package: org.codehaus.groovy.grails.commons

## [Java] Interface GrailsCodecClass

- org.codehaus.groovy.grails.commons.InjectableGrailsClass

- All Superinterfaces:
    GrailsClass, CodecFactory, GrailsApplicationAware, InjectableGrailsClass

  Provides access to Codec classes. A Codec class one that ends in the convention "Codec" and provides encode and decode methods or closure properties.

  Authors:
    Jeff Brown
  Since:
    0.4

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `configureCodecMethods()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface CodecFactory` | `getDecoder, getEncoder`
    `interface InjectableGrailsClass` | `byName, byType, getAvailable`
    `interface GrailsClass` | `getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance`
    `interface GrailsApplicationAware` | `setGrailsApplication`

- - ### Method Detail

    - #### public void configureCodecMethods()